# config_vars.yml
# Config file for experiments using VARS data for Biodiversity and i2MAP project
mounts:
  - name: "image"
    path: "/mnt/DeepSea-AI"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/DeepSea-AI"

  - name: "video"
    path: "/mnt/DeepSea-AI"
    host: "cortex.shore.mbari.org"
    nginx_root: "/DeepSea-AI"

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_vars_media"
    function: "extract_media"

vss:
  project: "500055-VARS"
  model: "/mnt/DeepSea-AI/models/VARS/mbari-vars-vits-b8-20260209/"
  output_path: "/mnt/DeepSea-AI/data/VARS/processed/vss"
  url: "https://cortex.shore.mbari.org/vss/knn"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-vars"
  port: 6385
  project: "500055-VARS"

tator:
  project: "500055-VARS"
  host: "https://mantis.shore.mbari.org"
  image:
    attributes:
      iso_datetime:
        type: datetime
      depth:
        type: int
  box:
    attributes:
      Label:
        type: string
      score:
        type: float
      verified:
        type: bool

ffmpeg_path: "/usr/bin/ffmpeg"
